<template>
  <div class="wrapper">
    <div class="modal">
      <div class="inner">
        <h5 class="title">Регистрация</h5>
        <input v-model="user.name" class="input" type="text" placeholder="name" />
        <p class="description"></p>
        <input v-model="user.email" class="input" type="email" placeholder="email" />
        <p class="description"></p>
        <input v-model="user.password" class="input" type="password" placeholder="password" />
        <p class="description"></p>
        <p class="description">Уже есть аккаут?<a href="/signin">Авторизуйся!</a></p>
        <q-btn @click="signUp(user)" style="background: #1D1C1C; color: #fff" to="/">Зарегистрироваться</q-btn>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  name: 'Register',
  data () {
    return {
      user: {
        name: '',
        email: '',
        password: ''
      }
    }
  },
  methods: {
    ...mapActions({
      signUp: 'AuthModule/signUp'
    })
  }
}
</script>

<style lang="sass" scoped>
  .input
    font-style: normal
    font-weight: normal
    font-size: 16px
    line-height: 24px
    padding: 16px
    &::placeholder
      font-style: normal
      font-weight: normal
      font-size: 16px
      line-height: 24px
  .wrapper
    position: fixed
    display: flex
    justify-content: center
    align-items: center
    z-index: 10000
    top: 0
    bottom: 0
    left: 0
    right: 0
    background-color: rgba(0,0,0,0.5)
  .modal
    background-color: #ffffff
  .inner
    margin: 48px
    display: flex
    flex-direction: column
  .title
    font-style: normal
    font-weight: 300
    font-size: 18px
    line-height: 22px
    text-align: center
    margin-bottom: 24px
  .description
    font-style: normal
    font-weight: normal
    font-size: 12px
    line-height: 16px
    margin: 4px 16px 24px 16px
  .radio
    font-style: normal
    font-weight: normal
    font-size: 12px
    line-height: 16px
  .select
    border: 1px solid #848484
    border-radius: 5px
    padding: 8px
  .order-button
    margin: 32px 0 0 0
    background: #1D1C1C
    height: 35px
    min-width: 100px
    color: #ffffff
    padding: 8px 32px
    font-style: normal
    font-weight: 600
    font-size: 14px
    line-height: 17px
    cursor: pointer
  .price-description
    font-style: normal
    font-weight: normal
    font-size: 12px
    line-height: 16px
  .price-total
    margin: 8px 0 0 0
    font-style: normal
    font-weight: 600
    font-size: 18px
    line-height: 24px
</style>
